GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
gdcm::network::ULConnectionManager Class Reference

ULConnectionManager The ULConnectionManager performs actions on the ULConnection given inputs from the user and from the state of what's going on around the connection (ie, timeouts of the ARTIM timer, responses from the peer across the connection, etc). More...

`#include <gdcmULConnectionManager.h>`

Inheritance diagram for gdcm::network::ULConnectionManager:
[legend]
Collaboration diagram for gdcm::network::ULConnectionManager:
[legend]

List of all members.

## Public Member Functions

| ULConnectionManager ()
| ~ULConnectionManager ()
bool | BreakConnection (const double &inTimeout)
void | BreakConnectionNow ()
bool | EstablishConnection (const std::string &inAETitle, const std::string &inConnectAETitle, const std::string &inComputerName, long inIPAddress, uint16_t inConnectPort, double inTimeout, std::vector< PresentationContext > const &pcVector)
bool | EstablishConnectionMove (const std::string &inAETitle, const std::string &inConnectAETitle, const std::string &inComputerName, long inIPAddress, uint16_t inConnectPort, double inTimeout, uint16_t inReturnPort, std::vector< PresentationContext > const &pcVector)
std::vector < PresentationDataValue > | SendEcho ()
std::vector< DataSet > | SendFind (const BaseRootQuery *inRootQuery)
void | SendFind (const BaseRootQuery *inRootQuery, ULConnectionCallback *inCallback)
std::vector< DataSet > | SendMove (const BaseRootQuery *inRootQuery)
void | SendMove (const BaseRootQuery *inRootQuery, ULConnectionCallback *inCallback)
std::vector< DataSet > | SendStore (const File &file)
void | SendStore (const File &file, ULConnectionCallback *inCallback)
| callback based API

## Detailed Description

ULConnectionManager The ULConnectionManager performs actions on the ULConnection given inputs from the user and from the state of what's going on around the connection (ie, timeouts of the ARTIM timer, responses from the peer across the connection, etc).

Its inputs are ULEvents, and it performs ULActions.

## Constructor & Destructor Documentation

gdcm::network::ULConnectionManager::ULConnectionManager | ( |  | ) |

gdcm::network::ULConnectionManager::~ULConnectionManager | ( |  | ) |

## Member Function Documentation

bool gdcm::network::ULConnectionManager::BreakConnection | ( | const double & | inTimeout | ) |

void gdcm::network::ULConnectionManager::BreakConnectionNow | ( |  | ) |

bool gdcm::network::ULConnectionManager::EstablishConnection | ( | const std::string & | inAETitle,
|  | const std::string & | inConnectAETitle,
|  | const std::string & | inComputerName,
|  | long | inIPAddress,
|  | uint16_t | inConnectPort,
|  | double | inTimeout,
|  | std::vector< PresentationContext > const & | pcVector
| ) |  |

returns true if a connection of the given AETitle (ie, 'this' program) is able to connect to the given AETitle and Port in a certain amount of time providing the connection type will establish the proper exchange syntax with a server; if a different functionality is required, a different connection should be established. returns false if the connection type is 'move'-- have to give a return port for move to work as specified.

bool gdcm::network::ULConnectionManager::EstablishConnectionMove | ( | const std::string & | inAETitle,
|  | const std::string & | inConnectAETitle,
|  | const std::string & | inComputerName,
|  | long | inIPAddress,
|  | uint16_t | inConnectPort,
|  | double | inTimeout,
|  | uint16_t | inReturnPort,
|  | std::vector< PresentationContext > const & | pcVector
| ) |  |

returns true for above reasons, but contains the special 'move' port

std::vector<PresentationDataValue> gdcm::network::ULConnectionManager::SendEcho | ( |  | ) |

std::vector<DataSet> gdcm::network::ULConnectionManager::SendFind | ( | const BaseRootQuery * | inRootQuery | ) |

void gdcm::network::ULConnectionManager::SendFind | ( | const BaseRootQuery * | inRootQuery,
|  | ULConnectionCallback * | inCallback
| ) |  |

std::vector<DataSet> gdcm::network::ULConnectionManager::SendMove | ( | const BaseRootQuery * | inRootQuery | ) |

void gdcm::network::ULConnectionManager::SendMove | ( | const BaseRootQuery * | inRootQuery,
|  | ULConnectionCallback * | inCallback
| ) |  |

std::vector<DataSet> gdcm::network::ULConnectionManager::SendStore | ( | const File & | file | ) |

void gdcm::network::ULConnectionManager::SendStore | ( | const File & | file,
|  | ULConnectionCallback * | inCallback
| ) |  |

callback based API

The documentation for this class was generated from the following file:

- gdcmULConnectionManager.h